package cn.stylefeng.workflow.api.enums.strategy;

import cn.hutool.core.convert.Convert;
import cn.hutool.core.util.ObjectUtil;
import cn.stylefeng.roses.kernel.rule.base.ReadableEnum;
import lombok.Getter;

@Getter
public enum AdjacentApproverSkipPolicyEnum implements ReadableEnum<AdjacentApproverSkipPolicyEnum> {

    JUMP(10, "自动跳过"),

    NOT_JUMP(20, "不自动跳过");

    private final Integer code;

    private final String name;

    AdjacentApproverSkipPolicyEnum(Integer value, String name) {
        this.code = value;
        this.name = name;
    }

    @Override
    public Object getKey() {
        return code;
    }

    @Override
    public Object getName() {
        return name;
    }

    @Override
    public AdjacentApproverSkipPolicyEnum parseToEnum(String originValue) {
        if (ObjectUtil.isEmpty(originValue)) {
            return null;
        }
        for (AdjacentApproverSkipPolicyEnum value : AdjacentApproverSkipPolicyEnum.values()) {
            if (value.code.equals(Convert.toInt(originValue))) {
                return value;
            }
        }
        return null;
    }

}
